Bug 187891 - [PATCH] net/linux-nx-client: Stage
Summary: [PATCH] net/linux-nx-client: Stage
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-24 00:40 UTC by Johannes Meixner
Modified: 2014-03-26 02:00 UTC (History)
1 user (show)

See Also:


Attachments
linux-nx-client-3.4.0.patch (3.58 KB, patch)
2014-03-24 00:40 UTC, Johannes Meixner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Meixner 2014-03-24 00:40:01 UTC
- Stagify

Generated with FreeBSD Port Tools 1.00.2014.03.22 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-03-24 00:40:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

swills@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2014-03-26 01:46:23 UTC
Author: swills
Date: Wed Mar 26 01:46:20 2014
New Revision: 349207
URL: http://svnweb.freebsd.org/changeset/ports/349207
QAT: https://qat.redports.org/buildarchive/r349207/

Log:
  - Stage
  
  PR:		ports/187891
  Submitted by:	Johannes Jost Meixner <xmj@chaot.net>

Modified:
  head/net/linux-nx-client/Makefile

Modified: head/net/linux-nx-client/Makefile
==============================================================================
--- head/net/linux-nx-client/Makefile	Wed Mar 26 01:44:29 2014	(r349206)
+++ head/net/linux-nx-client/Makefile	Wed Mar 26 01:46:20 2014	(r349207)
@@ -3,7 +3,7 @@
 
 PORTNAME=		linux-nx-client
 PORTVERSION=		3.4.0
-PORTREVISION=	2
+PORTREVISION=		2
 CATEGORIES=		net
 MASTER_SITES=		http://web04.nomachine.com/download/${PORTVERSION}/Linux/
 DISTNAME=		nxclient-${PORTVERSION}-5.i386
@@ -28,47 +28,46 @@ PLIST_SUB+=		PORTVERSION=${PORTVERSION}
 
 # Patch binary to expect EINVAL (FreeBSD) instead of EOPNOTSUPP (Linux) when
 # trying to set TCP_NODELAY on the X11 unix domain socket.
-NO_STAGE=	yes
 do-build:
 	${REINPLACE_CMD} -e 's/\x83\xf8\x5f\x0f\x84/\x83\xf8\x16\x0f\x84/' \
 		${NXSRC}/lib/libXcomp.so.${PORTVERSION}
 
 do-install:
-	${MKDIR} ${NXDST}/bin
-	${INSTALL_PROGRAM} ${NXSRC}/bin/* ${NXDST}/bin
-	${MKDIR} ${NXDST}/lib
+	${MKDIR} ${STAGEDIR}${NXDST}/bin
+	${INSTALL_PROGRAM} ${NXSRC}/bin/* ${STAGEDIR}${NXDST}/bin
+	${MKDIR} ${STAGEDIR}${NXDST}/lib
 .for f in libXcomp libXcompsh
-	${INSTALL_DATA} ${NXSRC}/lib/${f}.so.${PORTVERSION} ${NXDST}/lib
-	${LN} -sf ${f}.so.${PORTVERSION} ${NXDST}/lib/${f}.so
-	${LN} -sf ${f}.so.${PORTVERSION} ${NXDST}/lib/${f}.so.3
+	${INSTALL_DATA} ${NXSRC}/lib/${f}.so.${PORTVERSION} ${STAGEDIR}${NXDST}/lib
+	${LN} -sf ${f}.so.${PORTVERSION} ${STAGEDIR}${NXDST}/lib/${f}.so
+	${LN} -sf ${f}.so.${PORTVERSION} ${STAGEDIR}${NXDST}/lib/${f}.so.3
 .endfor
-	${INSTALL_DATA} ${NXSRC}/lib/libcrypto.so.0.9.8 ${NXDST}/lib
-	${LN} -sf libcrypto.so.0.9.8 ${NXDST}/lib/libcrypto.so
-	${MKDIR} ${NXDST}/share
-	${INSTALL_DATA} ${NXSRC}/share/keyboards ${NXDST}/share
-	${MKDIR} ${NXDST}/share/keys
-	${INSTALL_DATA} ${NXSRC}/share/keys/* ${NXDST}/share/keys
-	${MKDIR} ${NXDST}/share/images
-	${INSTALL_DATA} ${NXSRC}/share/images/* ${NXDST}/share/images
-
-	${MKDIR} ${LOCALBASE}/share/pixmaps
-	${INSTALL_DATA} ${NXSRC}/share/icons/48x48/*.png ${LOCALBASE}/share/pixmaps
-	${MKDIR} ${LOCALBASE}/share/icons/crystalsvg/48x48 \
-		${LOCALBASE}/share/icons/crystalsvg/32x32 \
-		${LOCALBASE}/share/icons/crystalsvg/22x22 \
-		${LOCALBASE}/share/icons/crystalsvg/16x16
+	${INSTALL_DATA} ${NXSRC}/lib/libcrypto.so.0.9.8 ${STAGEDIR}${NXDST}/lib
+	${LN} -sf libcrypto.so.0.9.8 ${STAGEDIR}${NXDST}/lib/libcrypto.so
+	${MKDIR} ${STAGEDIR}${NXDST}/share
+	${INSTALL_DATA} ${NXSRC}/share/keyboards ${STAGEDIR}${NXDST}/share
+	${MKDIR} ${STAGEDIR}${NXDST}/share/keys
+	${INSTALL_DATA} ${NXSRC}/share/keys/* ${STAGEDIR}${NXDST}/share/keys
+	${MKDIR} ${STAGEDIR}${NXDST}/share/images
+	${INSTALL_DATA} ${NXSRC}/share/images/* ${STAGEDIR}${NXDST}/share/images
+
+	${MKDIR} ${STAGEDIR}${LOCALBASE}/share/pixmaps
+	${INSTALL_DATA} ${NXSRC}/share/icons/48x48/*.png ${STAGEDIR}${LOCALBASE}/share/pixmaps
+	${MKDIR} ${STAGEDIR}${LOCALBASE}/share/icons/crystalsvg/48x48 \
+		${STAGEDIR}${LOCALBASE}/share/icons/crystalsvg/32x32 \
+		${STAGEDIR}${LOCALBASE}/share/icons/crystalsvg/22x22 \
+		${STAGEDIR}${LOCALBASE}/share/icons/crystalsvg/16x16
 .for x in 16x16 22x22 32x32 48x48
-	${MKDIR} ${LOCALBASE}/share/icons/crystalsvg/${x}
+	${MKDIR} ${STAGEDIR}${LOCALBASE}/share/icons/crystalsvg/${x}
 	${INSTALL_DATA} ${NXSRC}/share/icons/${x}/* \
-		${LOCALBASE}/share/icons/crystalsvg/${x}
+		${STAGEDIR}${LOCALBASE}/share/icons/crystalsvg/${x}
 .endfor
 
 .for f in nxclient nxesd nxkill nxservice nxssh
+	${BRANDELF} -t Linux ${NXSRC}/bin/${f}
 	${ECHO_CMD} "#!/bin/sh" > ${WRKSRC}/${f}
 	${ECHO_CMD} "export NXDIR=${NXDST}" >> ${WRKSRC}/${f}
 	${ECHO_CMD} "exec \$$NXDIR/bin/${f} \"\$$@\"" >> ${WRKSRC}/${f}
-	${INSTALL_SCRIPT} ${WRKSRC}/${f} ${PREFIX}/bin
-	${BRANDELF} -t Linux ${NXDST}/bin/${f}
+	${INSTALL_SCRIPT} ${WRKSRC}/${f} ${STAGEDIR}${PREFIX}/bin
 .endfor
 
 .include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Steve Wills freebsd_committer 2014-03-26 01:46:28 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2014-03-26 01:52:02 UTC
Author: swills
Date: Wed Mar 26 01:51:58 2014
New Revision: 349208
URL: http://svnweb.freebsd.org/changeset/ports/349208
QAT: https://qat.redports.org/buildarchive/r349208/

Log:
  - Stage
  - Add linux category
  - Correct comment
  
  PR:		ports/187891
  Submitted by:	Johannes Jost Meixner <xmj@chaot.net>

Modified:
  head/mail/mulberry/Makefile

Modified: head/mail/mulberry/Makefile
==============================================================================
--- head/mail/mulberry/Makefile	Wed Mar 26 01:46:20 2014	(r349207)
+++ head/mail/mulberry/Makefile	Wed Mar 26 01:51:58 2014	(r349208)
@@ -3,8 +3,8 @@
 
 PORTNAME=	mulberry
 PORTVERSION=	4.0.8
-PORTREVISION=	1
-CATEGORIES=	mail
+PORTREVISION=	2
+CATEGORIES=	mail linux
 MASTER_SITES=	http://www.mulberrymail.com/downloads/Mulberry/%SUBDIR%/
 MASTER_SITE_SUBDIR=v${PORTVERSION:S/./_/g}
 DISTNAME=	Mulberry
@@ -12,15 +12,16 @@ EXTRACT_SUFX=	.tgz
 DIST_SUBDIR=	${PORTNAME}-${PORTVERSION}
 
 MAINTAINER=	ports@FreeBSD.org
-COMMENT=	A scalable high-performance GUI internet Mail User Agent
+COMMENT=	Scalable high-performance GUI Internet Mail User Agent
+OPTIONS_DEFINE=	DOCS
 
 NO_WRKSUBDIR=	yes
 USE_LINUX=	yes
 USE_LINUX_APPS=	xorglibs
 ONLY_FOR_ARCHS=	i386 amd64
 
-NO_STAGE=	yes
 .include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
 
 INSTALL_DIR?=	${INSTALL} -d -o ${BINOWN} -g ${BINGRP} -m 755
 PLUGINSDIR=	${PREFIX}/lib/${PORTNAME}/Plug-ins
@@ -34,25 +35,25 @@ do-build:
 	${BRANDELF} -t Linux ${WRKSRC}/${PORTNAME}
 
 do-install:
-	${INSTALL_DIR} ${PLUGINSDIR}
-	${INSTALL_DIR} ${PIXMAPSDIR}
-	${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME} ${PREFIX}/bin/${PORTNAME}
-#	${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME} ${PREFIX}/lib/${PORTNAME}/${PORTNAME}.bin
-#	${INSTALL_SCRIPT} ${WRKSRC}/${PORTNAME}.sh ${PREFIX}/bin/${PORTNAME}
-	${INSTALL_DATA} ${WRKSRC}/.${PORTNAME}/Plug-ins/*.so ${PLUGINSDIR}
-	${MKDIR} ${PREFIX}/lib/${PORTNAME}/Resources
-	${INSTALL_DATA} ${WRKSRC}/.${PORTNAME}/Resources/* ${RESOURCESDIR}
-	${INSTALL_DATA} ${WRKSRC}/.${PORTNAME}/icons/* ${PIXMAPSDIR}
-	${INSTALL_DIR} ${PLUGINSDIR}/Timezones
-	${INSTALL_DATA} ${WRKSRC}/.${PORTNAME}/Plug-ins/Timezones/* ${PLUGINSDIR}/Timezones
-	${MKDIR} ${EXAMPLESDIR}
-	${INSTALL_DATA} ${FILESDIR}/mailcap ${EXAMPLESDIR}
-	@[ -f ${PREFIX}/etc/mailcap ] || ${INSTALL_DATA} ${FILESDIR}/mailcap ${PREFIX}/etc/mailcap
-	${INSTALL_DATA} ${FILESDIR}/url.helpers ${EXAMPLESDIR}
-	@[ -f ${PREFIX}/lib/url.helpers ] || ${INSTALL_DATA} ${FILESDIR}/url.helpers ${PREFIX}/lib/url.helpers
-.if !defined(NOPORTDOCS)
-	${INSTALL_DIR} ${DOCSDIR}
-	${INSTALL_DATA} ${WRKSRC}/.${PORTNAME}/CHANGES* ${DOCSDIR}
-	${INSTALL_DATA} ${WRKSRC}/Mulberry_License ${DOCSDIR}
+	${INSTALL_DIR} ${STAGEDIR}${PLUGINSDIR}
+	${INSTALL_DIR} ${STAGEDIR}${PIXMAPSDIR}
+	${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME} ${STAGEDIR}${PREFIX}/bin/${PORTNAME}
+#	${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME} ${STAGEDIR}${PREFIX}/lib/${PORTNAME}/${PORTNAME}.bin
+#	${INSTALL_SCRIPT} ${WRKSRC}/${PORTNAME}.sh ${STAGEDIR}${PREFIX}/bin/${PORTNAME}
+	${INSTALL_DATA} ${WRKSRC}/.${PORTNAME}/Plug-ins/*.so ${STAGEDIR}${PLUGINSDIR}
+	${MKDIR} ${STAGEDIR}${PREFIX}/lib/${PORTNAME}/Resources
+	${INSTALL_DATA} ${WRKSRC}/.${PORTNAME}/Resources/* ${STAGEDIR}${RESOURCESDIR}
+	${INSTALL_DATA} ${WRKSRC}/.${PORTNAME}/icons/* ${STAGEDIR}${PIXMAPSDIR}
+	${INSTALL_DIR} ${STAGEDIR}${PLUGINSDIR}/Timezones
+	${INSTALL_DATA} ${WRKSRC}/.${PORTNAME}/Plug-ins/Timezones/* ${STAGEDIR}${PLUGINSDIR}/Timezones
+	${MKDIR} ${STAGEDIR}${EXAMPLESDIR}
+	${INSTALL_DATA} ${FILESDIR}/mailcap ${STAGEDIR}${EXAMPLESDIR}
+	@[ -f ${PREFIX}/etc/mailcap ] || ${INSTALL_DATA} ${FILESDIR}/mailcap ${STAGEDIR}${PREFIX}/etc/mailcap
+	${INSTALL_DATA} ${FILESDIR}/url.helpers ${STAGEDIR}${EXAMPLESDIR}
+	@[ -f ${PREFIX}/lib/url.helpers ] || ${INSTALL_DATA} ${FILESDIR}/url.helpers ${STAGEDIR}${PREFIX}/lib/url.helpers
+.if ${PORT_OPTIONS:MDOCS}
+	${INSTALL_DIR} ${STAGEDIR}${DOCSDIR}
+	${INSTALL_DATA} ${WRKSRC}/.${PORTNAME}/CHANGES* ${STAGEDIR}${DOCSDIR}
+	${INSTALL_DATA} ${WRKSRC}/Mulberry_License ${STAGEDIR}${DOCSDIR}
 .endif
 .include <bsd.port.post.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"